interface Cache<V> {
    get(key: string): V | undefined;
    set(key: string, value: V): void;
    has(key: string): boolean;
    delete(key: string): void;
}
interface CacheOptions {
    maxAge?: number;
}
/**
 * @description Cache the API response
 */
export declare class ClientCache<V> implements Cache<V> {
    private cache;
    private sweepInterval;
    private maxAge;
    constructor(options?: CacheOptions);
    get size(): number;
    private sweep;
    get(key: string): V;
    set(key: string, value: V): void;
    has(key: string): boolean;
    delete(key: string): void;
}
export {};
